> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.icepanel.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.icepanel.io/_mcp/server.

# Get

GET https://api.icepanel.io/v1/landscapes/{landscapeId}/versions/{versionId}/diagrams/{diagramId}/export/image/{diagramExportImageId}

Reference: https://developer.icepanel.io/api-reference/diagrams/export/get

## Authentication

- `X-API-Key` header (required) — API key authentication
- `Authorization` header (bearer token, required) — Bearer token authentication

## Request

### Path parameters

- `landscapeId` (string, required)
- `versionId` (string, required)
- `diagramId` (string, required)
- `diagramExportImageId` (string, required)

## Response

### 200

OK

- `diagramExportImage` (DiagramExportImage, required)

## Errors

### 400 Bad Request Error

Bad Request

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 401 Unauthorized Error

Unauthorized

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 403 Forbidden Error

Forbidden

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 404 Not Found Error

Not Found

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 422 Unprocessable Entity Error

Unprocessable Entity

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 429 Too Many Requests Error

Resource Exhausted

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 500 Internal Server Error

Internal Server

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

## Types

### DiagramExportImage

- `createdAt` (datetime, required)
- `deleteAt` (datetime, required)
- `diagramId` (string, required)
- `error` (string, required, nullable)
- `fileUrls` (DiagramExportImageFileUrls, required)
- `id` (string, required)
- `landscapeId` (string, required)
- `options` (DiagramExportImageOptions, required)
- `versionId` (string, required)
- `completedAt` (datetime, optional)

### DiagramExportImageFileUrls

- `png` (string, required)
- `svg` (string, required)

### DiagramExportImageOptions

- `draftId` (string, optional) — Fetch and apply draft tasks before producing the export
- `flowId` (string, optional)
- `flowPathIds` (list of string, optional)
- `focusIds` (list of string, optional)
- `groupId` (string, optional)
- `hideIds` (list of string, optional)
- `maxWidth` (integer, optional) — Maximum pixel width for the exported PNG. The image will be scaled down if the diagram exceeds this width. Defaults to no limit (up to 10240px).
- `pinIds` (list of string, optional)
- `tab` (enum, optional)
  - Allowed values: `tags`, `technology`, `status`, `teams`
- `theme` (enum, optional)
  - Allowed values: `light`, `dark`

## Examples

**Response**

```json
{
  "diagramExportImage": {
    "createdAt": "2024-01-15T09:30:00Z",
    "deleteAt": "2024-01-15T09:30:00Z",
    "diagramId": "string",
    "error": "string",
    "fileUrls": {
      "png": "string",
      "svg": "string"
    },
    "id": "string",
    "landscapeId": "string",
    "options": {
      "draftId": "string",
      "flowId": "string",
      "flowPathIds": [
        "string"
      ],
      "focusIds": [
        "string"
      ],
      "groupId": "string",
      "hideIds": [
        "string"
      ],
      "maxWidth": 1,
      "pinIds": [
        "string"
      ],
      "tab": "tags",
      "theme": "light"
    },
    "versionId": "string",
    "completedAt": "2024-01-15T09:30:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/diagrams/diagramId/export/image/diagramExportImageId"

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/diagrams/diagramId/export/image/diagramExportImageId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```csharp
using RestSharp;

var client = new RestClient("https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/diagrams/diagramId/export/image/diagramExportImageId");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```